4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.OtherXslElement

Non-template instructions from the XSLT spec WWW: http://4suite.org/4XSLT e-mail: support@4suite.org
Copyright (c) 1999-2001 Fourthought Inc, USA. All Rights Reserved.
See http://4suite.org/COPYRIGHT for license and copyright information

Classes: DecimalFormatElement, FallbackElement, ImportElement, IncludeElement, KeyElement, NamespaceAliasElement, OutputElement |  |  |  | Fields: EMPTY_NAMESPACE, XSL_NAMESPACE

## Classes

class DecimalFormatElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods

getFormatInfo(self)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, instantiate, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

category = 1
content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'NaN': <Ft.Xml.Xslt.AttributeInfo.String instance>, 'decimal-separator': <Ft.Xml.Xslt.AttributeInfo.Char instance>, 'digit': <Ft.Xml.Xslt.AttributeInfo.Char instance>, 'grouping-separator': <Ft.Xml.Xslt.AttributeInfo.Char instance>, 'infinity': <Ft.Xml.Xslt.AttributeInfo.String instance>, 'minus-sign': <Ft.Xml.Xslt.AttributeInfo.Char instance>, 'name': <Ft.Xml.Xslt.AttributeInfo.QName instance>, 'pattern-separator': <Ft.Xml.Xslt.AttributeInfo.Char instance>, 'per-mille': <Ft.Xml.Xslt.AttributeInfo.Char instance>, 'percent': <Ft.Xml.Xslt.AttributeInfo.Char instance>, ...}

### Fields

class FallbackElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods

instantiate(self, context, processor)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

category = 0
content = <Ft.Xml.Xslt.ContentInfo.Rep instance>
Template is the set of text, instructions or result-elements
legalAttrs = {}

### Fields

class ImportElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, instantiate, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

category = None
content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'href': <Ft.Xml.Xslt.AttributeInfo.UriReference instance>}

### Fields

class IncludeElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, instantiate, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

category = 1
content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'href': <Ft.Xml.Xslt.AttributeInfo.UriReference instance>}

### Fields

class KeyElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods

getKeyInfo(self)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, instantiate, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

category = 1
content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'match': <Ft.Xml.Xslt.AttributeInfo.Pattern instance>, 'name': <Ft.Xml.Xslt.AttributeInfo.QName instance>, 'use': <Ft.Xml.Xslt.AttributeInfo.Expression instance>}

### Fields

class NamespaceAliasElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, instantiate, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

category = 1
content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'result-prefix': <Ft.Xml.Xslt.AttributeInfo.Prefix instance>, 'stylesheet-prefix': <Ft.Xml.Xslt.AttributeInfo.Prefix instance>}

### Fields

class OutputElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, instantiate, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

category = 1
content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'cdata-section-elements': <Ft.Xml.Xslt.AttributeInfo.QNames instance>, 'doctype-public': <Ft.Xml.Xslt.AttributeInfo.String instance>, 'doctype-system': <Ft.Xml.Xslt.AttributeInfo.String instance>, 'encoding': <Ft.Xml.Xslt.AttributeInfo.String instance>, 'indent': <Ft.Xml.Xslt.AttributeInfo.YesNo instance>, 'media-type': <Ft.Xml.Xslt.AttributeInfo.String instance>, 'method': <Ft.Xml.Xslt.AttributeInfo.QName instance>, 'omit-xml-declaration': <Ft.Xml.Xslt.AttributeInfo.YesNo instance>, 'standalone': <Ft.Xml.Xslt.AttributeInfo.YesNo instance>, 'version': <Ft.Xml.Xslt.AttributeInfo.NMToken instance>}

### Fields

EMPTY_NAMESPACE = None
XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'